Bug 1464138 - unified CLI error message while running the following command "volume backup restore"
unified CLI error message while running the following command "volume backup ...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-openstackclient (Show other bugs)
10.0 (Newton)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Eric Harney
Avi Avraham
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-06-22 09:46 EDT by Avi Avraham
Modified: 2018-02-17 21:59 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1733315 None None None 2018-01-02 09:46 EST

  None (edit)
Description Avi Avraham 2017-06-22 09:46:19 EDT
Description of problem:
While testing Cinder volume backup and restore I faced the following error
(openstack) volume backup restore vol1_backup3 vol1 
'VolumeBackupsRestore' object is not iterable

Version-Release number of selected component (if applicable):
RHOS10 latest version  

How reproducible:

Steps to Reproduce:
1. Create volume 
2. backup volume 
3. run the following command to recover volume 
(openstack) volume backup restore vol1_backup3 vol1 

Actual results:
'VolumeBackupsRestore' object is not iterable

Expected results:
command successfully ended with no error 

Additional info:
The restore was successfully done 
No error while running equivalent command from cinder backup-restore
Comment 5 Eric Harney 2018-01-02 09:48:27 EST
Try working around this by using:

"cinder backup-restore --volume <uuid> <backup_uuid>"

Note You need to log in before you can comment on or make changes to this bug.